using UnityEngine;
using System.Collections;
using System;

public class MeeleWapeon : ItemScript{

    public float cooldown = 2f;

    private float remaining = 0;

    public override bool isReady()
    {
        if (remaining > 0)
        {
            return false;
        }
        return true;
    }

    public override bool use(int direction)
    {
        remaining = cooldown;
        return true;
    }

    // Use this for initialization
    void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (remaining > 0)
        {
            remaining -= Time.deltaTime;
        }
	}
}
